#include<bits/stdc++.h>
using namespace std;

int main()
{
    int n,l;
    cin >> n >> l;
    
    int c = -1;
    bool zavrseno = false;

    for(int i = 0; i < n; i++)
    {
        int x;
        cin >> x;
        if(l >= x && zavrseno == false)//ako je pera veci ili jednak od prolaz ne moz da prodje
        {  
            c = i + 1;
            zavrseno = true;
        }

    }

    cout << c << endl;
}#include<bits/stdc++.h>
using namespace std;

int main()
{
    int n,l;
    cin >> n >> l;
    
    int c = -1;
    bool zavrseno = false;

    for(int i = 0; i < n; i++)
    {
        int x;
        cin >> x;
        if(l >= x && zavrseno == false)//ako je pera veci ili jednak od prolaz ne moz da prodje
        {  
            c = i + 1;
            zavrseno = true;
        }

    }

    cout << c << endl;
}